<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.user.mapper.UserMapper">

    <resultMap type="com.ruoyi.user.domain.User" id="UserResult">
        <result property="id" column="id"/>
        <result property="businessId" column="business_id"/>
        <result property="mobile" column="mobile"/>
        <result property="nickname" column="nickname"/>
        <result property="headPhoto" column="head_photo"/>
        <result property="age" column="age"/>
        <result property="gender" column="gender"/>
        <result property="realName" column="real_name"/>
        <result property="birthday" column="birthday"/>
        <result property="status" column="status"/>
        <result property="lastLoginTime" column="last_login_time"/>
        <result property="orderNum" column="order_num"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <select id="selectUserRegister" resultType="com.ruoyi.user.domain.vo.UserStatisticsVo">
        SELECT
            create_day,
            COUNT(1) user_sum
        FROM tb_user
        WHERE create_day &gt;= #{start} AND create_day &lt;= #{end}
        GROUP BY create_day
    </select>

</mapper>
